import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;

import com.lowagie.text.Document;
import com.lowagie.text.HeaderFooter;
import com.lowagie.text.PageSize;
import com.lowagie.text.Image;
import com.lowagie.text.Cell;
import com.lowagie.text.Chunk;
import com.lowagie.text.Font;
import com.lowagie.text.FontFactory;
import com.lowagie.text.Element;
import com.lowagie.text.Phrase;
import com.lowagie.text.Paragraph;
import com.lowagie.text.DocumentException;
import com.lowagie.text.Table;
import com.lowagie.text.pdf.PdfWriter;
//import com.lowagie.text.pdf.PdfPTable;

import java.util.Vector;
import java.awt.Color;


public class Utilidades_PDF{
	public static void main(String args[]){
	    try{
	        guardarPDF_Pruebas(new File("Dummy.pdf"));
	    }catch(Exception exc){
			System.out.println("exc = " + exc);
	    }//catch
	}//main
	
	public static void guardarPDF_Pruebas(File archivoPDF) throws Exception{
		Vector listaPruebas = new Vector();

		Document document = new Document(PageSize.A4, 50, 50, 50, 50);
		try {
			
			PdfWriter.getInstance( document , new FileOutputStream(archivoPDF) );
				
			document.addAuthor("Saija");
			document.addTitle("Aprendiendo a usar el iText :)"); 
			
			HeaderFooter header = new HeaderFooter(new Phrase("Hola Hola PDF ."), 
													false); 
			HeaderFooter footer = new HeaderFooter(new Phrase("Pgina "), new Phrase("."));
			footer.setAlignment(Element.ALIGN_CENTER);
			document.setHeader(header); 
			document.setFooter(footer);

			document.open();			
			String rutaImagen = "imagen.jpg";//ponga nombre imagen aqu :)
			Image imagen = Image.getInstance(rutaImagen);
			document.add(imagen);
			String texto = "abcdefghijklmnopqrstuvwxyz\nABCDEFGHIJKLMNOPQRSTUVWXYZ";
			document.add( new Paragraph(texto) );			
			Table tablaPruebas = crearTabla( 5 );
			document.add( new Paragraph(" ") );
			document.add( tablaPruebas );			
		}catch(IOException ioe) {
			String error = "Error tratando de crear el archivo " + 
				archivoPDF.getName() +  "\n" + ioe.getMessage();
			System.err.println(error);
			throw new Exception(error);
		}catch(Exception exc) {
			String error = "Error \n" + exc.getMessage();
			System.err.println(error);
			throw new Exception(error);
		}//catch
		document.close();
	}//guardarPDF_Pruebas

	public static Table crearTabla(int columnas){		
		Table tabla = null;
		try{
		    tabla = new Table(columnas);
			tabla.setBorderWidth(1);
			//tabla.setBorderColor(new Color(0, 0, 255));
			tabla.setPadding(1);
			tabla.setSpacing(1);
			tabla.setTableFitsPage(true);			
			Font fuenteCabecera = FontFactory.getFont(FontFactory.TIMES_ROMAN, 14, 
									Font.NORMAL, new Color(0, 0, 255));
			String textoCabecera =  " AAAA ";
			Chunk chunk = new Chunk( textoCabecera , fuenteCabecera );
			Cell cell = new Cell( chunk );
			cell.setHeader(true);
			cell.setColspan( 5 );
			tabla.addCell(cell);
			tabla.endHeaders();
			Cell camposTablaPruebas[] = new Cell[columnas];
			for(int i=0;i<columnas;i++ ){
				camposTablaPruebas[i] = new Cell("Celda No " + (i+1));
			    tabla.addCell(camposTablaPruebas[i]);
			}//for			
		}catch(Exception exc){
			System.out.println("exc = " + exc.getMessage());
		}//catch
		return tabla;
	}//crearTablaPruebas

}//Utilidades_PDF